i2c_del_adapter
Prev | Chapter 27. I2C and SMBus Subsystem | Next

## Name

i2c_del_adapter — unregister I2C adapter

## Synopsis

`int i2c_del_adapter (` | struct i2c_adapter * | adap`)`;

## Arguments

`adap`

  the adapter being unregistered

## Context

can sleep

## Description

This unregisters an I2C adapter which was previously registered by `i2c_add_adapter` or `i2c_add_numbered_adapter`.

Prev | Up | Next
i2c_add_numbered_adapter | Home | i2c_del_driver